Subject: Re: [PATCH RFC net-next] net: phy: marvell10g: add downshift tunable support

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 20 Jul 2021 18:14:01 +0100

On Tue, Jul 20, 2021 at 05:04:24PM +0200, Marek Behún wrote:
> Hi Russell,
> 
> On Tue, 20 Jul 2021 14:38:20 +0100
> Russell King <[email-masked]> wrote:
> 
> > Add support for the downshift tunable for the Marvell 88x3310 PHY.
> > Downshift is only usable with firmware 0.3.5.0 and later.
> 
> mv3310_{g,s}et_features are also used for 88E211x, but there is no such
> register in the documentation for these PHYs. (Also firmware versions on
> those are different, the newest is 8.3.0.0, but thats not important.)
> My solution would be to rename the current methods prefix to mv211x_ and
> and add new mv3310_{g,s}et_tunable methods.

There's more than just the tunables themselves - there's also
config_init().

We already need to reject downshift when old firmware is running,
as that fails to work correctly. So, we can just do that for
88E211x as well, adding a flag to struct mv3310_chip to indicate
whether downshift is present. Sound sensible?

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!